;**************************************************************************
;
;   (c) 2011/2012 Daniel Nell
;
;**************************************************************************
;
;
;   This file is wxiscan.iss .
;

[Setup]
AppName=wxIScan
AppVerName=wxIScan V1.0.23
AppPublisher=nellresearch.de
AppPublisher=http://www.nellresearch.de/
DefaultDirName={pf}\wxIScan
DefaultGroupName=wxIScan
UninstallDisplayIcon={app}\wxiscan.exe
Compression=lzma/ultra
SolidCompression=yes
LicenseFile=gpl.txt
OutputDir=.
OutputBaseFilename=wxIScan-1.0.23
ChangesAssociations=yes
DisableStartupPrompt=yes

[Files]
; ------- wxIScan executable ---------
Source: ".bin\release\wxiscan.exe";                                           DestDir: "{app}\bin"
; ------- wxIScan  locales ---------
Source: "de\wxiscan.mo";                                                      DestDir: "{app}\bin\de"
; ------- wxWidgets locales -----------
Source: "\Projects\wxWidgets-2.8.11\demos\dbbrowse\de\wxstd.mo";             	DestDir: "{app}\bin\de"
; ------- wxWidgets dlls -----------
Source: "\Projects\wxWidgets-2.8.11\lib\gcc_dll\wxbase28u_gcc.dll";          	DestDir: "{app}\bin"
Source: "\Projects\wxWidgets-2.8.11\lib\gcc_dll\wxmsw28u_adv_gcc.dll";       	DestDir: "{app}\bin"
Source: "\Projects\wxWidgets-2.8.11\lib\gcc_dll\wxmsw28u_core_gcc.dll";      	DestDir: "{app}\bin"
; ------- wxPDFDoc dll ------
Source: "\Projects\wxCode\wxpdfdoc\lib\gcc_dll\wxcode_msw28u_pdfdoc.dll";    	DestDir: "{app}\bin"
; ------- Luad dlls ------
Source: "\Projects\Lua\lib\lua5.1.dll";           				                    DestDir: "{app}\bin"
;Source: "\Projects\Lua\lib\msvcr80.dll";           				                   DestDir: "{app}\bin"
; ------- Only needed for thread build of wxWidgets ----------
Source: "C:\Programme\CodeBlocks\mingwm10.dll";  DestDir: "{app}\bin"
; ------ Additional files --------
Source: "readme.txt";                         					                      DestDir: "{app}";         Flags: isreadme
Source: "gpl.txt";                            					                      DestDir: "{app}";
;Source: "wxl.txt";                            					                       DestDir: "{app}";

[Icons]
Name: "{group}\wxiscan";            Filename: "{app}\bin\wxiscan.exe"; 		WorkingDir: "{app}\bin"
Name: "{group}\Uninstall wxIScan";  Filename: "{uninstallexe}";         	WorkingDir: "{app}"

[Registry]
; ------------ wxIScan --------------
;Root: HKCU; Subkey: "Software\Nell Research\wxIScan\Global";         		Flags: uninsdeletekey;        ValueType: string; ValueName: "App";         ValueData: "{app}\bin\wxiscan.exe"
;Root: HKCU; Subkey: "Software\Nell Research\wxIScan\Files";          		Flags: uninsdeletekey
;Root: HKCU; Subkey: "Software\Nell Research\wxIScan\wxIScanFrame";  		  Flags: uninsdeletekey
;Root: HKCU; Subkey: "Software\Nell Research\wxIScan";                		Flags: uninsdeletekeyifempty
;Root: HKCU; Subkey: "Software\Nell Research";                         		Flags: uninsdeletekeyifempty

[Run]
Filename: "{app}\bin\wxiscan.exe"; Description: "Start wxIScan";          WorkingDir: "{app}\bin";      Flags: nowait postinstall

